package request

import (
	"topsdk/ability180/domain"
	"topsdk/util"
)

type TmallItemSeriesItemseriesInsertseriesitemRequest struct {
	/*
	   系列商品编辑入参     */
	SeriesItemRequest *domain.TmallItemSeriesItemseriesInsertseriesitemSeriesItemRequest `json:"series_item_request,omitempty" required:"false" `
}

func (s *TmallItemSeriesItemseriesInsertseriesitemRequest) SetSeriesItemRequest(v domain.TmallItemSeriesItemseriesInsertseriesitemSeriesItemRequest) *TmallItemSeriesItemseriesInsertseriesitemRequest {
	s.SeriesItemRequest = &v
	return s
}

func (req *TmallItemSeriesItemseriesInsertseriesitemRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.SeriesItemRequest != nil {
		paramMap["series_item_request"] = util.ConvertStruct(*req.SeriesItemRequest)
	}
	return paramMap
}

func (req *TmallItemSeriesItemseriesInsertseriesitemRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
